/**************************** Babydouble.sas ****************************/
title 'Simple double measurement with proc calis';
title2 'Jerry Brunner:  Student Number 999999999';

data baby;
     infile '/folders/myfolders/431s17/Babydouble.data.txt'
             firstobs=2; 
     input id W1 W2 Y;

     
proc calis pcorr vardef=n nostand; 
     /* See reproduced covariance matrix, 
        Use true MLEs and get exact G^2, No standardized results */
	 title3 'Fit the centered model';
     var W1 W2 Y;  /* Declare observed variables */
     lineqs        /* Model equations, separated by commas. */
        Y  = beta1*F + epsilon,
        W1 = F + e1,
        W2 = F + e2;
     variance      /* Declare variance parameters. */
        F = phi, epsilon = psi, e1=omega1, e2=omega2;

